org.apache.lucene.search.highlight

## Interface Encoder

- All Known Implementing Classes:
    DefaultEncoder, SimpleHTMLEncoder

      public interface Encoder

  Encodes original text. The Encoder works with the `Formatter` to generate output.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `encodeText(String originalText)`

- - ### Method Detail

    - #### encodeText

          String encodeText(String originalText)

      Parameters:
        `originalText` - The section of text being output

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.